glabels (3.4.1-1.1build3) eoan; urgency=medium

  * No-change rebuild for e-d-s 3.33.4

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 01 Aug 2019 17:34:23 +0100

glabels (3.4.1-1.1build2) disco; urgency=medium

  * No-change rebuild against latest evolution-data-server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 07 Feb 2019 06:27:45 -0500

glabels (3.4.1-1.1build1) disco; urgency=medium

  * No-change rebuild against latest qrencode

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 18:54:16 -0500

glabels (3.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fixes char usage on architectures on which it's unsigned
      (Closes: #909692).
    - Refresh patches.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Oct 2018 15:09:10 -0300

glabels (3.4.0-2) unstable; urgency=medium

  * Cherry-pick from upstream:
    add-missing-prototype (Closes: #855604)
    Thanks to Keith Packard for reporting this

 -- Jakob Haufe <sur5r@sur5r.net>  Mon, 20 Feb 2017 23:52:38 +0100

glabels (3.4.0-1) unstable; urgency=medium

  * New upstream version
  * Drop now unneeded hardening-no-fortify-functions override
  * Convert ldconfig call in postrm to trigger
  * Bump Standards-Version (no changes needed)
  * New patch: glabels/debian/patches/gnome-common-cleanup (Closes: #830033)

 -- Jakob Haufe <sur5r@sur5r.net>  Thu, 29 Dec 2016 21:30:59 +0100

glabels (3.2.1-2) unstable; urgency=medium

  * Call ldconfig in postrm to make lintian happy
  * Remove menu file (See ctte #741573)
  * Recommend atril as alternative to evince (Closes: #795372)

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 10 Oct 2015 21:16:16 +0200

glabels (3.2.1-1) unstable; urgency=medium

  * Ack NMU
  * New upstream version
  * Drop 0001-menu.patch (applied upstream)
  * Drop cherry-picked 0004-unbreak-with-evolution-data-server-3.6.0.patch
  * Drop 0005-fix-pl.po-encoding.diff as upstream dropped incomplete and
    outdated pl.po
  * Bump Standards-Version (no changes needed)
  * Update Homepage field
  * Debhelper compatibility: 9

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 03 Oct 2015 16:19:23 +0200

glabels (3.0.1-4.1) unstable; urgency=medium

  [ Hilko Bengen ]
  * Non-maintainer upload.

  [ gregor herrmann ]
  * Fix "glabels exists with "Abort" when creating a new document".
    Add patches for two commits (66c007, 3700cd8) from upstream git for Gtk+
    3.14 compatibility.
    (Closes: #763769)

 -- Hilko Bengen <bengen@debian.org>  Fri, 31 Oct 2014 10:00:59 +0100

glabels (3.0.1-4) unstable; urgency=low

  * Upload to unstable as evolution-data-server 3.8 has arrived there
  * Add symbols control file
  * Add & update lintian overrides:
    - icon-size-and-directory-name-mismatch
      Size is correct, images are just not square
    - package-name-doesnt-match-sonames
      No external users of that library yet
    - hardening-no-fortify-functions
      False positive, thanks to Antonio Ospite for helping me understanding
      this
    - desktop-entry-lacks-keywords-entry
      No useful keywords to be added

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 10 Nov 2013 20:16:13 +0100

glabels (3.0.1-3) experimental; urgency=low

  * Refresh debian/patches
  * Cherry-pick 6b7d7e831e5542b6ea3c15802fa882a42399fc15 from upstream
    as 0004-unbreak-with-evolution-data-server-3.6.0.patch
    (Closes: #722033)
  * Bump Standards-Version (no changes needed)
  * Change dependency to gnome-desktop3-data (Closes: #707961)
  * Add patch from Jakub Wilk to fix Polish translation (Closes: #691089)

 -- Jakob Haufe <sur5r@sur5r.net>  Tue, 10 Sep 2013 20:44:01 +0200

glabels (3.0.1-2) experimental; urgency=low

  * Pre-depend on dpkg >= 1.15.6~ as we are using xz.

 -- Jakob Haufe <sur5r@sur5r.net>  Sat, 17 Nov 2012 20:51:30 +0100

glabels (3.0.1-1) experimental; urgency=low

  * Enable hardening buildflags
  * Update watchfile as SF has no current versions anymore
  * New upstream version (Closes: #691958)
  * Drop patches applied upstream:
    - 0003-libglbarcode-uses-pangocairo-not-plain-pango.patch
    - 0004-libglabels-silently-uses-gobject-fix-linkage.patch
    - 0005-Ignore-unused-screenshot.patch
    - 0006-Fix-schema-references.patch
  * Fix typo (Closes: #669228)

 -- Jakob Haufe <sur5r@sur5r.net>  Fri, 16 Nov 2012 12:23:15 +0100

glabels (3.0.0-3) unstable; urgency=low

  * Remove obsolete configure options
  * Remove broken man page symlink
  * Remove Replaces for glabels 2.0 transition
  * Depend on gnome-desktop-data for licenses in GNOME help
  * New patches:
    - 0006-Fix-schema-references.patch
    - 0007-Ignore-license.page.patch

 -- Jakob Haufe <sur5r@sur5r.net>  Mon, 09 Apr 2012 18:02:07 +0200

glabels (3.0.0-2) unstable; urgency=low

  * Bump Standards-Version (no changes needed)

 -- Jakob Haufe <sur5r@sur5r.net>  Sun, 08 Apr 2012 20:48:09 +0200

glabels (3.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #665535)
  * Recreate debian/patches/* for 3.0.0
    - Names changed due to use of gbp-pq
    - Drop 30_Werror-format-security.patch as glables now uses
      external barcode
    - Drop 40_linker.patch (Change adopted upstream)
  * New patches:
    - 0003-libglbarcode-uses-pangocairo-not-plain-pango.patch
    - 0004-libglabels-silently-uses-gobject-fix-linkage.patch
    - 0005-Ignore-unused-screenshot.patch
  * Update lintian override for 3.0.0
  * Update debian/copyright for 3.0.0
  * Recommend evince (Closes: #560899)
  * Temporarily ship own .desktop file (Closes: #660642)
  * Adopt package (Closes: #569335)

 -- Jakob Haufe <sur5r@sur5r.net>  Mon, 12 Mar 2012 00:11:13 +0100

glabels (2.2.8-3) unstable; urgency=low

  * QA upload.
  * Fix "FTBFS: plessey.c:151:9: error: format not a string literal and
    no format arguments [-Werror=format-security]": new patch
    30_Werror-format-security.patch: add format argument to sprintf call.
    (Closes: #643390)
  * New patch 40_linker.patch: add '-lm' to linker arguments, otherwise the
    build fails with binutils-gold or --no-add-needed.

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Dec 2011 19:00:44 +0100

glabels (2.2.8-2) unstable; urgency=low

  [ Olivier Berger ]
  * QA upload.
  * Updated Standards-Version
  * Added several small changes to get rid of some lintian warnings

  [ Neil Williams ]
  * Tweak standards version. Apply QA changes from 569335. Thanks to
    Olivier Berger <oberger@ouvaton.org>
  * Move to collab-maint to make it easier for QA work.
  * Drop shlib:Depends variable from -dev package, not used.
  * Drop uploaders rule, not used by QA.

 -- Neil Williams <codehelp@debian.org>  Sat, 14 May 2011 19:24:23 +0100

glabels (2.2.8-1) unstable; urgency=low

  * New upstream release:
    - Fix crash caused by new g_new macros in glib-2.24.0
    - Removed extra padding in "New label" dialog
    - Updated translations
    - New templates
  * Switch to dpkg-source 3.0 (quilt) format

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 21 Apr 2010 11:46:13 +0200

glabels (2.2.7-2) unstable; urgency=low

  * debian/control.in,
    debian/rules:
    - Stop calling dh_buildinfo, nobody has ever looked at it.
  * debian/glabels.postinst,
    debian/glabels-dev.postinst,
    debian/glabels.preinst,
    debian/glabels-dev.preinst,
    debian/glabels.links,
    debian/glabels-dev.links,
    debian/rules:
    - Stop symlinking the doc directories. Closes: #574305.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 18 Mar 2010 00:26:34 +0100

glabels (2.2.7-1) unstable; urgency=low

  * 2.2.7-1 New upstream release.
    - debian/control.in:
      + Bump libxml2-dev build dependency.
  * debian/patches/10_manpage.patch:
    - Forwarded, add headers.
  * debian/glabels.dirs:
    - Removed, unneeded.
  * debian/control.in:
    - Stop mentioning the upstream author in the long description.
      He's already listed in the proper place -- debian/copyright.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 05 Mar 2010 19:13:12 +0100

glabels (2.2.6-1) unstable; urgency=low

  * debian/glabels-data.post{inst,rm}:
    - Removed, update-{desktop,mime}-database are now triggerized so
      there's no need to call them. Closes: #559506.
  * New upstream release.
  * debian/watch: don't uupdate.
  * debian/control.in:
    - Build depend on gnome-doc-utils.
    - Standards-Version is 3.8.4, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 11 Feb 2010 13:36:08 +0100

glabels (2.2.5-1) unstable; urgency=low

  [ Rodolphe Pelloux-Prayer ]
  * New upstream release.
    + Closes: #457970 and #515335.
    + Add new template. Closes: #499459.
  * debian/patches/:
    + 01_null_strlen.patch: removed.
    + 11_cepnet.patch: removed, applied upstream.
  * debian/control:
    + Standards-Version is 3.8.2, no changes needed.
    + Added Vcs-Browser and Vcs-Svn fields.
    + Remove libgnomeprintui dependency.
    + Update libebook, libgnomeui dependencies.
    + Add missing build-dependencies. Closes: #536923.

  [ Josselin Mouette ]
  * watch: use sf.net virtual address to make uupdate work, thanks 
    Raphael Geissert. Closes: #449720.

  [ Sven Arvidsson ]
  * Mention barcode functionality in the long description, 
    thanks Dieter Faulbaum. (Closes: #466816)
  * Fix Homepage field in debian/control.

  [ Loic Minier ]
  * Add ${misc:Depends} and ${shlibs:Depends}.
  * Use UTF-8 for debian/copyright.
  * Use Applications instead of Apps in menu file.

  [ Emilio Pozuelo Monfort ]
  * debian/copyright: updated for the new version.
  * Ship the desktop file in the glabels package.
  * Remove unneeded Section field from glables-data.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Tue, 11 Aug 2009 23:27:06 +0200

glabels (2.1.3-3) unstable; urgency=low

  * 01_null_strlen.patch: fix strlen(NULL) causing segmentation fault.
    Closes: #444822.

 -- Josselin Mouette <joss@debian.org>  Mon, 01 Oct 2007 12:45:28 +0200

glabels (2.1.3-2) unstable; urgency=low

  [ Kilian Krause ]
  * Add get-orig-source target.

  [ Loic Minier ]
  * Set maintainer to Debian GNOME Maintainers.
  * Wrap build-deps and deps.

  [ Otavio Salvador ]
  * Add support to CEPNet. Thanks to Mário Meyer <mario@meyer.eti.br> for
    the patch (closes: #436288)

 -- Otavio Salvador <otavio@debian.org>  Mon, 06 Aug 2007 17:01:07 -0300

glabels (2.1.3-1) unstable; urgency=low

  [ Oystein Gisnas ]
  * New upstream version
    - Fix crash when grid is disabled (closes: #368241)
    - Add shadow attribute to label objects
    - Fix color groups in color combo widgets
    - Fix several bugs and crashers
  * Add missing options to manpage. Thanks to Ralph Aichinger
    <ralph@mail.pangea.at> (closes: #357046)
  * Update watch file to version 3
  * debian/patches/70_relibtoolize.patch: Obsolete
  * Add --as-needed ld flag

  [ Loic Minier ]
  * Ship full copyright information.

 -- Loic Minier <lool@dooz.org>  Wed,  5 Jul 2006 20:50:20 +0200

glabels (2.1.2-4) unstable; urgency=low

  * Stop shipping *.la files in glabels-dev.
    [debian/glabels-dev.install]
  * Make the package binNMU-safe.
    - Build-depend on dpkg-dev 1.13.19.
      [debian/control, debian/control.in]
    - Use ${source:Version} and ${binary:Version} for inter-package
      dependencies.
      [debian/control, debian/control.in]
  * Bump up Standards-Version to 3.7.2.
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Fri, 12 May 2006 15:39:40 +0200

glabels (2.1.2-3) unstable; urgency=medium

  * [debian/control.in]:
    - Remove version from glabels-data dependency.
      (closes: #338675)
    - Expand description.
    - Update build-dependencies to support Evolution 2.4.
  * [debian/rules]:
    - Use util.mk to safeguard against dh_install missing files.

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Tue, 10 Jan 2006 18:40:28 +1100

glabels (2.1.2-2) unstable; urgency=low

  * Relibtoolize.
    [debian/patches/70_relibtoolize.patch]

 -- Loic Minier <lool@dooz.org>  Mon,  9 Jan 2006 18:59:28 +0100

glabels (2.1.2-1) unstable; urgency=low

  * New upstream version.
    - Evolution Data Server support.
    - Respects default printer setting
      (closes: #323145)
    - Fix crash when handling image objects.
      (closes: #343979)
    - Fix merge properties crash.
      (closes: #345634)
    - Rebuild against libgnomeprintui2.2-0 (2.12).
      (closes: #346118)
    - Patch merged: 50_fix-avery-32015-label.patch
  * [debian/rules]:
    - Revert usage of ld's --as-needed option.
  * Debian Standards-Version: 3.6.2.2
  * Debhelper compatibility: 5

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Mon,  9 Jan 2006 02:50:54 +1100

glabels (2.1.1-3) unstable; urgency=low

  * Change dependencies to = Source-Version: yes that sucks, but it breaks
    more often if one has to manually update it than binNMUs.
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Fri, 11 Nov 2005 14:12:56 +0100

glabels (2.1.1-2) unstable; urgency=low

  * Add extra glabels-data >= 2.1.1 dependencies to glabels until dpkg
    supports = Source-Version deps correctly. (Closes: #338074)
    [debian/control, debian/control.in]
  * Remove weird Replaces: glabels-data (<< 2.1.1) in glabels.
    [debian/control, debian/control.in]
  * New patch by Anand Kumria to fix naming of a label. (Closes: #330629)
    [debian/patches/50_fix-avery-32015-label.patch]

 -- Loic Minier <lool@dooz.org>  Wed,  9 Nov 2005 18:42:45 +0100

glabels (2.1.1-1) unstable; urgency=low

  * New upstream development release.
    - Patch merged: 00_print-dialog.patch
  * Debian Standards-Version to 3.6.2
  * [debian/control.in]:
    - Update build dependencies for GNOME 2.10.
  * [debian/rules]:
    - Record compile-time dependency versions using dh_buildinfo.
  * Symlink all documentation dirs to /usr/share/doc/glabels-common

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Sat,  9 Jul 2005 03:17:49 +1000

glabels (2.0.2-3) unstable; urgency=medium

  * [debian/rules]:
    - FTBFS fix: disable execution of update-desktop-database.
      (closes: #300556)

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Mon, 21 Mar 2005 01:07:25 +1100

glabels (2.0.2-2) unstable; urgency=medium
   
  * [debian/rules]:
    - Deflate dependencies via ld's --as-needed option.
      This also removes dependency against non-free libhowl0.
  * Set print-dialog to the correct size.
    + [debian/patches/00_print-dialog.patch]
      (closes: #295274)
  * Text object properties now display.
      (closes: #296846)
  
 -- Andrew Lau <netsnipe@users.sourceforge.net>  Wed, 16 Mar 2005 15:47:19 +1100

glabels (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * [debian/rules]:
    - x-glabels.xml restored to package fixing GNOME program association.
      (closes: #281758)
  * Split files off into two new packages:
    - glabels-data: common files
    - glabels-dev: development library files

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Fri, 28 Jan 2005 01:06:03 +1100

glabels (2.0.1-1) unstable; urgency=medium
  
  * New upstream release.
  * Remove locally generated shared-mime-info files during build which break
    the system MIME database. Run update-mime-database in postinst/postrm.
    (closes: #266085)

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Thu, 19 Aug 2004 03:33:58 +1000

glabels (2.0.0-1) unstable; urgency=medium

  * New upstream release.
    (closes: #264864)
    - Properly handles old templates
      (closes: #227886)
    - Release critical 64-bit fixes
      (closes: #231850)
    - Manpage now included
      (closes: #250810)
  * Patches regenerated:
    - 00_relibtoolize.patch

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Wed, 11 Aug 2004 18:44:51 +1000

glabels (1.93.3-2) unstable; urgency=low

  * Relibtoolize and rebuild to get rid of the gnutls7 dependency.
  * debian/control:
    + Add me to Uploaders (gnome-pkg-tools is still in incoming)
    + Add libxml-parser-perl to Build-Depends

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 17 Jun 2004 17:42:22 +0200

glabels (1.93.3-1) unstable; urgency=low

  * New upstream release.

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Wed, 10 Mar 2004 10:44:28 +1100

glabels (1.93.2-2) unstable; urgency=low

  * Restored scrollkeeper to Build-Depends.
    (closes: #229473, #229476)

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Mon, 26 Jan 2004 23:18:13 +1100

glabels (1.93.1-3) unstable; urgency=low

  * In fact scrollkeeper was added to Depends and not Build-Depends, and 
    is moved to Suggests now since it seems to not be necessary. 
  * debian/rules:
    + dh_scrollkeeper should not generate postinst and postrm scripts
  * debian/postinst, debian/postrm:
    + new scripts since we don't use dh_scrollkeeper to manage them.
  
 -- Sebastien Bacher <seb128@debian.org>  Sun, 28 Dec 2003 18:53:41 +0100

glabels (1.93.1-2) unstable; urgency=low

  * Added scrollkeeper to Build-Depends (Closes: #225268).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 28 Dec 2003 14:55:24 +0100

glabels (1.93.1-1) unstable; urgency=low

  * New upstream release.
    + Print dialog now tracks settings separately for each label/window
      (Closes: #17631).
  * debian/patches/00_destdir.patch:
    + removed since the changes are in the new version.
  * Gnome Team Upload.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 26 Dec 2003 21:04:44 +0100

glabels (1.92.3-1) unstable; urgency=low

  * New upstream version.

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Mon, 10 Nov 2003 19:28:11 +1100

glabels (1.92.2-1) unstable; urgency=low

  * Initial Debian Release of GNOME 2 branch.
    Thanks to Shell Hung <shell@debian.org> for maintaining GNOME 1.x branch.
    (closes: #195861)
  * Patches:
    - 00_destdir.patch: Fixed installation path for data files.      

 -- Andrew Lau <netsnipe@users.sourceforge.net>  Mon, 10 Nov 2003 15:30:04 +1100

glabels (0.4.6-1) unstable; urgency=low

  * New upstream release

 -- Shell Hung <shell@debian.org>  Wed,  9 Oct 2002 18:13:24 +0800

glabels (0.4.4-2) unstable; urgency=low

  * Add glabels.menu (Closes: #149413) 

 -- Shell Hung <shell@debian.org>  Mon, 15 Jul 2002 14:09:31 +0800

glabels (0.4.4-1) unstable; urgency=low

  * New upstream release

 -- Shell Hung <shell@debian.org>  Sun, 14 Jul 2002 18:19:01 +0800

glabels (0.4.3-3) unstable; urgency=low

  * Add libzvt-dev and libgtkxmhtml-dev in build-dep
  * Fixed a stripped bug (Closes: #143807)
  * Report by Helge Kreutzmann <kreutzm@itp.uni-hannover.de>
  * Fixed by upstream author Jim Evins <evins@snaught.com>

 -- Shell Hung <shell@debian.org>  Sat, 27 Apr 2002 13:15:22 +0800

glabels (0.4.3-2) unstable; urgency=low

  * Add gawk to build-dep
  * link man page

 -- Shell Hung <shell@debian.org>  Fri, 12 Apr 2002 10:50:35 +0800

glabels (0.4.3-1) unstable; urgency=low

  * Initial release. (Closes: #140840)

 -- Shell Hung <shell@debian.org>  Thu, 11 Apr 2002 13:18:26 +0800
